org.apache.commons.math3.analysis.interpolation

## Class MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

Enclosing class:
  MicrosphereInterpolatingFunction

    private static class MicrosphereInterpolatingFunction.MicrosphereSurfaceElement
    extends Object

Class for storing the accounting data needed to perform the microsphere projection.

### Field Summary

Fields
`private double` `brightestIllumination` Illumination received from the brightest sample.
`private Map.Entry<RealVector,Double>` `brightestSample` Brightest sample.
`private RealVector` `normal` Normal vector characterizing a surface element.

### Constructor Summary

Constructors
Constructor and Description
`MicrosphereInterpolatingFunction.MicrosphereSurfaceElement(double[] n)`

### Method Summary

Methods
`(package private) double` `illumination()` Get the illumination of the element.
`(package private) RealVector` `normal()` Return the normal vector.
`(package private) void` `reset()` Reset "illumination" and "sampleIndex".
`(package private) Map.Entry<RealVector,Double>` `sample()` Get the sample illuminating the element the most.
`(package private) void` `store(double illuminationFromSample, Map.Entry<RealVector,Double> sample)` Store the illumination and index of the brightest sample.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### normal

    private final RealVector normal

Normal vector characterizing a surface element.

#### brightestIllumination

    private double brightestIllumination

Illumination received from the brightest sample.

#### brightestSample

    private Map.Entry<RealVector,Double> brightestSample

Brightest sample.

### Constructor Detail

#### MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

    MicrosphereInterpolatingFunction.MicrosphereSurfaceElement(double[] n)

Parameters:
  `n` - Normal vector characterizing a surface element of the microsphere.

### Method Detail

#### normal

    RealVector normal()

Return the normal vector.

Returns:
  the normal vector

#### reset

    void reset()

Reset "illumination" and "sampleIndex".

#### store

    void store(double illuminationFromSample,
             Map.Entry<RealVector,Double> sample)

Store the illumination and index of the brightest sample.

Parameters:
  `illuminationFromSample` - illumination received from sample
  `sample` - current sample illuminating the element

#### illumination

    double illumination()

Get the illumination of the element.

Returns:
  the illumination.

#### sample

    Map.Entry<RealVector,Double> sample()

Get the sample illuminating the element the most.

Returns:
  the sample.